E-MailRelay

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | List of all members
GAuth::SaslClient Class Reference

A class that implements the client-side SASL challenge/response concept. More...

`#include <gsaslclient.h>`

## Classes
struct | Response
| Result structure returned from GAuth::SaslClient::response. More...

## Public Member Functions
| SaslClient (const SaslClientSecrets &secrets)
| Constructor. The secrets reference is kept.
| ~SaslClient ()
| Destructor.
bool | active () const
| Returns true if the constructor's secrets object is valid.
Response | response (const std::string &mechanism, const std::string &challenge) const
| Returns a response to the given challenge. More...
std::string | preferred (const G::StringArray &mechanisms) const
| Returns the name of the preferred mechanism taken from the given set, taking into account what client secrets are available. More...
bool | next ()
| Moves to the next preferred mechanism.
std::string | preferred () const
| Returns the name of the current preferred mechanism after next() returns true. More...
std::string | id () const
| Returns the authentication id, valid after the last response(). More...
std::string | info () const
| Returns logging and diagnostic information, valid after the last response(). More...

## Detailed Description

A class that implements the client-side SASL challenge/response concept.

See also
  GAuth::SaslServer, RFC-4422, RFC-2554.

Definition at line 39 of file gsaslclient.h.

## Member Function Documentation

std::string GAuth::SaslClient::id | ( |  | ) | const

Returns the authentication id, valid after the last response().

Definition at line 268 of file gsaslclient.cpp.

std::string GAuth::SaslClient::info | ( |  | ) | const

Returns logging and diagnostic information, valid after the last response().

Definition at line 273 of file gsaslclient.cpp.

std::string GAuth::SaslClient::preferred | ( | const G::StringArray & | mechanisms | ) | const

Returns the name of the preferred mechanism taken from the given set, taking into account what client secrets are available.

Returns the empty string if none is supported or if not active().

Definition at line 253 of file gsaslclient.cpp.

std::string GAuth::SaslClient::preferred | ( |  | ) | const

Returns the name of the current preferred mechanism after next() returns true.

Definition at line 263 of file gsaslclient.cpp.

GAuth::SaslClient::Response GAuth::SaslClient::response | ( | const std::string & | mechanism,
|  | const std::string & | challenge
| ) |  | const

Returns a response to the given challenge.

The mechanism is used to choose the appropriate entry in the secrets file.

Definition at line 248 of file gsaslclient.cpp.

The documentation for this class was generated from the following files:

- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gauth/gsaslclient.h
- /tmp/slackrepo/SBo/slackrepo.S3SYfd/build_emailrelay/emailrelay-2.0.1/src/gauth/gsaslclient.cpp